Requirements
FPS's Escrow Production System:
Exhibit H
PLEASE READ THE FOLLOWING CAREFULLY
  1. Wireless Networks, Windows NT systems, non Windows platforms and Dot Matrix printers are not supported with the use of Summit.
  2. To insure data integrity and system performance; servers with programs such as Microsoft Exchange, SharePoint or Web/Intranet Servers may cause problems with Summit and is recommended by Microsoft for these to be ran on their own machines.
  3. Although Brother Printers work fine with MS Windows, we have found that the documents and checks do not print correctly with them and do not recommend their use with Microsoft Office.
  4. We understand that there are more companies now using copiers for printing and that some of them are having issues when printing Excel forms that have a lot of calculations and graphics. We recommend that a Universal PCL5 Printer Driver be installed from the manufacture. Sometimes changing the screen resolution from the default 100% to 120% can correct it as well.
  5. For Server installations make sure that the strong password complexity is turned off before SQL is installed.
  6. As of October 1st 2015 we will no longer be supporting Windows XP or Server 2003.
  • Terminal Server and client/server connections greater than 20 require special attention.
  • Please contact our IT Department for more information on Terminal Server Setups.
  • Please note if it’s not in the requirements it is not supported. Please contact FPS if you have any questions. 7/31/2015
SUMMIT VERSION REQUIREMENTS CPU
CPU:
  • Workstation: 2.0 GHz Intel I5 class processor or higher
  • Server or Standalone: 2.0 GHz Intel I7 class processor or higher (Intel Celeron and AMD Duron are not supported)
Memory:
  • Workstation: Windows 7, 8 and 10 Pro Editions- 6 GB or higher
  • Peer to Peer: Windows 7, 8 and 10 Pro Editions - 6 GB or higher
  • Server or Standalone: 6 GB or higher
Video:
  • Graphics hardware acceleration requires a DirectX10 graphics card and a 1024 x 768 or higher resolution monitor
Disk Space:
  • At least 100 Gb of free space
  • (Server: RAID 1 or 10 recommended for redundancy)
Operating System:
  • Server: Windows Server 2008/2012 Standard R2
  • Terminal Server: Windows Server 2008/2012 standard configured for remote access. Summit is compatible with 32/64-buit versions of Windows.
  • (2008/2012 Small Buisness premium NOT recommended)
  • Workstation: Windows 7, 8 and 10 Pro Editions .Net Framework 4.0
  • (HOME EDITIONS ARE NOT SUPPORTED)
SQL
  • Full SQL 2008 required for server with more than (5) Work Station connections (NOTE: SQL 2008 or greater must have the XP_CMDShell Enabled for 3rd party software to work with them)
Network
  • Microsoft Windows 10/100/1000 NIC
  • (Wireless networks not recommended)
Other Hardware
  • DVD Drive
  • Back-up system**
Other Software
  • Internet Explorer 8 or higher is required for installation
  • Microsoft Office 2010, 2013 or 2016 Pro Editions with the latest service packs on all workstations 32bit versions only. Enhanced Summit security features require Office 2010 and higher.
  • Currently 64-bit versions of Office and 365 are not supported.
  • (All workstations MUST have the same version of Office. Student Teacher Edition and any other Home Editions are not supported)
Remote Support
  • A remote connection\software must be supplied with file transfer ability on the workstations and server so proper support can be given. If Remote Desktop is used then drive sharing must be enabled.
  • Note: We recommend Team Viewer which is supplied on all new installations and upgrades free of charge.
For additional questions Click Here to send us an email.